20) DS 暗号化用ヘッダー抽出
DSヘッダーを使用した暗号化時に使用されるヘッダーの抽出
API
| Method | URL |
|---|---|
| POST | /api/encryption/header/extract |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| licenseKey | required | string | SHIELDRM 管理者ページの連携アプリ管理メニューで発行されたライセンスを入力 |
| srcFilePath | required | string | ヘッダーを抽出するセキュリティ文書のパス |
Response
| Name | Type | Description |
|---|---|---|
| code | int | 0 : 成功 0以外の値 : エラー |
| docuKey | string | 平文文書暗号化に使用されるユーザーキーで作成されたDocuKey |
| encHeaderInfo | string | セキュリティ文書のDSヘッダー情報 (base64Encode) |
Examples
Request
- Body
{
"licenseKey": "EFB4-19136-DB9E-201B9",
"srcFilePath": "/opt/shieldrm/data/test.xlsx"
}
Response
- 成 功
{
"code": 0,
"docuKey" : "UdEOPB2vjsrd0rB9d93blQ==",
"encHeaderInfo" : "eyJlbmNyeXB0ZWQiOnRydWUsImZpbGUiOnsicGF0aCI6IkQ6XF....(생략)....."
}
Response
- 失敗
[일반 문서인 경우]
{
"code": -36,
"message": "Source file is not an encrypted file"
}
[SKMS 실패]
{
"code": 40004,
"message": "Failed extract header",
"detail": "1"
}
[SCSL 실패]
{
"code": -61,
"message": "EXCEPTION error"
}